io.vertx.ext.web

## Interface Locale

- All Known Subinterfaces:
    LanguageHeader

  Deprecated.
  Use `LanguageHeader` instead

      @Deprecated
      public interface Locale

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `country()` Deprecated. Use `LanguageHeader.subtag()` instead
    `static Locale` | `create()` Deprecated.
    `static Locale` | `create(String language)` Deprecated.
    `static Locale` | `create(String language, String country)` Deprecated.
    `static Locale` | `create(String language, String country, String variant)` Deprecated.
    `String` | `language()` Deprecated. Use `LanguageHeader.tag()` instead
    `String` | `variant()` Deprecated. Use `LanguageHeader.subtag(int)` with value 2 instead

- - ### Method Detail

    - #### create

          static Locale create()

      Deprecated.

    - #### create

          static Locale create(String language)

      Deprecated.

    - #### create

          static Locale create(String language,
                               String country)

      Deprecated.

    - #### create

          static Locale create(String language,
                               String country,
                               String variant)

      Deprecated.

    - #### language

          @Deprecated
          String language()

      Deprecated. Use `LanguageHeader.tag()` instead
      Returns the language as reported by the HTTP client.
      Returns:
        language

    - #### country

          @Deprecated
          String country()

      Deprecated. Use `LanguageHeader.subtag()` instead
      Returns the country as reported by the HTTP client.
      Returns:
        variant

    - #### variant

          @Deprecated
          String variant()

      Deprecated. Use `LanguageHeader.subtag(int)` with value 2 instead
      Returns the variant as reported by the HTTP client.
      Returns:
        variant

Copyright © 2020 Eclipse. All rights reserved.